Bug 1092648 - Negative value of nsSaslMapPriority is not reset to lowest priority
Summary: Negative value of nsSaslMapPriority is not reset to lowest priority
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-29 16:18 UTC by Milan Kubík
Modified: 2020-09-13 21:04 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:34:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 1122 0 None None None 2020-09-13 21:04:47 UTC
Red Hat Product Errata RHSA-2015:0416 0 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Milan Kubík 2014-04-29 16:18:54 UTC
Description of problem:
When setting an attribute nsSaslMapPriority on a mapping, the value is checked for invalid values. This is being done for values x==0 and x > 100 and it creates an error/warning message in the logs and resets the value to 100.
If the value in modify operation is negative, it isn't reset in the entry.

This bug doesn't seem to have an effect on the evaluation order, thus setting low severity.

Version-Release number of selected component (if applicable):
389-ds-base-1.3.1.6-25

How reproducible:
always

Steps to Reproduce:
1. Set nsSaslMapPriority on a mapping entry.


Actual results:
The negative value is stored silently in the configuration.

Expected results:
The value stored is 100 and the server logs an error/warning message.

Comment 1 Noriko Hosoi 2014-04-29 17:18:28 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/47791

Comment 2 mreynolds 2014-05-30 20:31:42 UTC
Fix upstream for 7.1

Comment 4 Amita Sharma 2015-01-08 08:24:26 UTC
[root@dhcp201-126 ~]# ldapmodify -p 389 -h localhost -D "cn=Directory Manager" -w Secret123 << EOF
> dn: cn=example map,cn=mapping,cn=sasl,cn=config
> changetype: add
> objectclass: top
> objectclass: nsSaslMapping
> cn: example map
> nsSaslMapPriority: -10
> nsSaslMapRegexString: \(.*\)
> nsSaslMapBaseDNTemplate: ou=People
> nsSaslMapFilterTemplate: (cn=\1)
> EOF
adding new entry "cn=example map,cn=mapping,cn=sasl,cn=config"

[root@dhcp201-126 ~]# ldapsearch -p 389 -h localhost -D "cn=Directory Manager" -w Secret123 -LLL -b "cn=example map,cn=mapping,cn=sasl,cn=config"
dn: cn=example map,cn=mapping,cn=sasl,cn=config
objectClass: top
objectClass: nsSaslMapping
cn: example map
nsSaslMapPriority: 100
nsSaslMapRegexString: \(.*\)
nsSaslMapBaseDNTemplate: ou=People
nsSaslMapFilterTemplate: (cn=\1)

error :: [08/Jan/2015:13:53:56 +051800] - sasl_map_config_parse_entry: resetting invalid nsSaslMapPriority  value (-10) to the lowest priority (100)

Hence VERIFIED,

Comment 6 errata-xmlrpc 2015-03-05 09:34:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.